
From: "Mika Kukkonen" <mika@osdl.org>

  CC [M]  drivers/net/sk98lin/skaddr.o
drivers/net/sk98lin/skaddr.c: In function `SkAddrMcUpdate':
drivers/net/sk98lin/skaddr.c:895: warning: `ReturnCode' might be used
uninitialized in this function
drivers/net/sk98lin/skaddr.c: In function `SkAddrPromiscuousChange':
drivers/net/sk98lin/skaddr.c:1427: warning: `ReturnCode' might be used
uninitialized in this function

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/net/sk98lin/skaddr.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/net/sk98lin/skaddr.c~fix-warnings-drivers-net-sk98lin-skaddrc drivers/net/sk98lin/skaddr.c
--- 25/drivers/net/sk98lin/skaddr.c~fix-warnings-drivers-net-sk98lin-skaddrc	Tue Jul  6 14:14:13 2004
+++ 25-akpm/drivers/net/sk98lin/skaddr.c	Tue Jul  6 14:14:13 2004
@@ -892,7 +892,7 @@ SK_AC	*pAC,		/* adapter context */
 SK_IOC	IoC,		/* I/O context */
 SK_U32	PortNumber)	/* Port Number */
 {
-	int ReturnCode;
+	int ReturnCode = 0;
 #if (!defined(SK_SLIM) || defined(DEBUG))
 	if (PortNumber >= (SK_U32) pAC->GIni.GIMacsFound) {
 		return (SK_ADDR_ILLEGAL_PORT);
@@ -1424,7 +1424,7 @@ SK_IOC	IoC,			/* I/O context */
 SK_U32	PortNumber,		/* port whose promiscuous mode changes */
 int		NewPromMode)	/* new promiscuous mode */
 {
-	int ReturnCode;
+	int ReturnCode = 0;
 #if (!defined(SK_SLIM) || defined(DEBUG))
 	if (PortNumber >= (SK_U32) pAC->GIni.GIMacsFound) {
 		return (SK_ADDR_ILLEGAL_PORT);
_
